diff --git a/Makefile b/Makefile
index df3795e..d97756b 100644
--- a/Makefile
+++ b/Makefile
@@ -70,15 +70,31 @@ parallel: noweb ${MNT}/${SYS}/bin/document
 	@ mkdir -p ${MNT}/${SYS}/doc/src
 	@ cp Makefile.dvi ${MNT}/${SYS}/doc/src/root.Makefile.dvi
 	@ echo p2 starting parallel make of books
-	@ echo 52 ${SPD}/books/Makefile from ${SPD}/books/Makefile.pamphlet
-	( cd ${SPD}/books ; \
+	@ echo p3 ${SPD}/books/Makefile from ${SPD}/books/Makefile.pamphlet
+	@ ( cd ${SPD}/books ; \
            ${DOCUMENT} ${NOISE} Makefile ; \
            cp Makefile.dvi ${MNT}/${SYS}/doc/src/books.Makefile.dvi ; \
 	   ${ENV} ${MAKE} & )
-	@ echo p3 starting parallel make of src
+	@ echo p4 starting parallel make of input documents
+	@ ${ENV} ${MAKE} parallelinput ${NOISE} &
+	@ echo p5 starting parallel make of src
 	@ ${ENV} $(MAKE) -f Makefile.${SYS} 
 	@ echo 3 finished system build on `date` | tee >lastBuildDate
 
+parallelinput:
+	@ ( mkdir -p ${MNT}/${SYS}/doc/src/input ; \
+            cd ${MNT}/${SYS}/doc/src/input ; \
+	    cp ${SRC}/scripts/tex/axiom.sty . ; \
+	    for i in `ls ${SRC}/input/*.input.pamphlet` ; \
+              do latex $$i ; \
+              done ; \
+	     rm -f *~ ; \
+	     rm -f *.pamphlet~ ; \
+	     rm -f *.log ; \
+	     rm -f *.tex ; \
+	     rm -f *.toc ; \
+	     rm -f *.aux )
+
 book:
 	@ echo 79 building the book as ${MNT}/${SYS}/doc/book.dvi 
 	@ mkdir -p ${TMP}
diff --git a/Makefile.pamphlet b/Makefile.pamphlet
index 14606d5..678809c 100644
--- a/Makefile.pamphlet
+++ b/Makefile.pamphlet
@@ -44,15 +44,31 @@ parallel: noweb ${MNT}/${SYS}/bin/document
 	@ mkdir -p ${MNT}/${SYS}/doc/src
 	@ cp Makefile.dvi ${MNT}/${SYS}/doc/src/root.Makefile.dvi
 	@ echo p2 starting parallel make of books
-	@ echo 52 ${SPD}/books/Makefile from ${SPD}/books/Makefile.pamphlet
-	( cd ${SPD}/books ; \
+	@ echo p3 ${SPD}/books/Makefile from ${SPD}/books/Makefile.pamphlet
+	@ ( cd ${SPD}/books ; \
            ${DOCUMENT} ${NOISE} Makefile ; \
            cp Makefile.dvi ${MNT}/${SYS}/doc/src/books.Makefile.dvi ; \
 	   ${ENV} ${MAKE} & )
-	@ echo p3 starting parallel make of src
+	@ echo p4 starting parallel make of input documents
+	@ ${ENV} ${MAKE} parallelinput ${NOISE} &
+	@ echo p5 starting parallel make of src
 	@ ${ENV} $(MAKE) -f Makefile.${SYS} 
 	@ echo 3 finished system build on `date` | tee >lastBuildDate
 
+parallelinput:
+	@ ( mkdir -p ${MNT}/${SYS}/doc/src/input ; \
+            cd ${MNT}/${SYS}/doc/src/input ; \
+	    cp ${SRC}/scripts/tex/axiom.sty . ; \
+	    for i in `ls ${SRC}/input/*.input.pamphlet` ; \
+              do latex $$i ; \
+              done ; \
+	     rm -f *~ ; \
+	     rm -f *.pamphlet~ ; \
+	     rm -f *.log ; \
+	     rm -f *.tex ; \
+	     rm -f *.toc ; \
+	     rm -f *.aux )
+
 @
 
 <<*>>=
diff --git a/changelog b/changelog
index 3ef5b1a..6976eba 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090620 tpd src/axiom-website/patches.html 20090620.09.tpd.patch
+20090620 tpd Makefile build input.dvi in parallel with src
 20090620 tpd src/axiom-website/patches.html 20090620.08.tpd.patch
 20090620 tpd books/bookvol10.4 RETSOL +-> conversion
 20090620 tpd src/axiom-website/patches.html 20090620.07.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index c27c893..148d1ef 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1615,5 +1615,7 @@ Makefile build books in parallel with src<br/>
 bookvol10.4 INTPAF +-> conversion<br/>
 <a href="patches/20090620.08.tpd.patch">20090620.08.tpd.patch</a>
 bookvol10.4 RETSOL +-> conversion<br/>
+<a href="patches/20090620.09.tpd.patch">20090620.09.tpd.patch</a>
+Makefile build input.dvi in parallel with src<br/>
  </body>
 </html>
